Changeset 271


Ignore:
Timestamp:
Mar 26, 2007 4:37:06 PM (13 years ago)
Author:
andreasw
Message:

synchronize ASL stable with trunk rev 270

Location:
ThirdParty/ASL/stable/1.0
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/stable/1.0/Makefile.am

    r72 r271  
    1 # Copyright (C) 2003, 2006 International Business Machines and others.
     1# Copyright (C) 2003, 2007 International Business Machines and others.
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    1717libampl   = $(AMPLSOLVER_A)
    1818
    19 all-local: $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     19if SKIPMAKE
     20  alltargets =
     21else
     22  alltargets = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     23endif
     24
     25all-local: $(alltargets)
    2026
    2127if MSVC_COMPILE
     
    7480
    7581# Files that are generated and should be cleaned with make distclean
    76 DISTCLEANFILES =
     82DISTCLEANFILES = $(MAKEOKFILE)
    7783
    7884include ../../BuildTools/Makemain.inc
  • ThirdParty/ASL/stable/1.0/Makefile.in

    r91 r271  
    1515@SET_MAKE@
    1616
    17 # Copyright (C) 2003, 2006 International Business Machines and others.
     17# Copyright (C) 2003, 2007 International Business Machines and others.
    1818# All Rights Reserved.
    1919# This file is distributed under the Common Public License.
     
    8989AMPLSOLVER_A = @AMPLSOLVER_A@
    9090AMTAR = @AMTAR@
     91ASLLIB = @ASLLIB@
    9192ASLMAKEFILECMDS = @ASLMAKEFILECMDS@
    9293ASLMAKEFLAGS = @ASLMAKEFLAGS@
     94ASL_CPPFLAGS = @ASL_CPPFLAGS@
    9395AUTOCONF = @AUTOCONF@
    9496AUTOHEADER = @AUTOHEADER@
     
    101103CDEFS = @CDEFS@
    102104CFLAGS = @CFLAGS@
     105COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
     106COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    103107CPPFLAGS = @CPPFLAGS@
    104108CYGPATH_W = @CYGPATH_W@
     
    129133MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    130134MAKEINFO = @MAKEINFO@
     135MAKEOKFILE = @MAKEOKFILE@
    131136MPICC = @MPICC@
    132137MSVC_COMPILE_FALSE = @MSVC_COMPILE_FALSE@
     
    143148SET_MAKE = @SET_MAKE@
    144149SHELL = @SHELL@
     150SKIPMAKE_FALSE = @SKIPMAKE_FALSE@
     151SKIPMAKE_TRUE = @SKIPMAKE_TRUE@
    145152STRIP = @STRIP@
    146153VERSION = @VERSION@
     
    194201compdir = compdir
    195202libampl = $(AMPLSOLVER_A)
     203@SKIPMAKE_FALSE@alltargets = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     204@SKIPMAKE_TRUE@alltargets =
    196205CLEANFILES = $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
    197206
     
    201210
    202211# Files that are generated and should be cleaned with make distclean
    203 DISTCLEANFILES = $(am__append_2) $(VPATH_DISTCLEANFILES)
     212DISTCLEANFILES = $(MAKEOKFILE) $(am__append_2) $(VPATH_DISTCLEANFILES)
    204213all: all-am
    205214
     
    466475
    467476
    468 all-local: $(libampl) stdio1.h arith.h funcadd0.$(OBJEXT)
     477all-local: $(alltargets)
    469478
    470479@MSVC_COMPILE_TRUE@$(libampl):
  • ThirdParty/ASL/stable/1.0/configure

    r220 r271  
    282282ac_unique_file="solvers/asl.h"
    283283ac_default_prefix=`pwd`
    284 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE AMPLSOLVER_A MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE ASLMAKEFLAGS ASLMAKEFILECMDS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     284ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE AMPLSOLVER_A ASLMAKEFLAGS ASLMAKEFILECMDS MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    285285ac_subst_files=''
    286286
     
    860860  --with-asl-verbosity specify the debug verbosity level for project ASL
    861861  --with-asl-checklevel specify the sanity check level for project ASL
     862  --with-asldir           specify path to AMPL solver directory (or BUILD for
     863                          compilation, or "no" for disabling AMPL)
    862864
    863865Some influential environment variables:
     
    38133815
    38143816
     3817coin_aslobjdir=../ThirdParty/ASL
     3818coin_aslsrcdir=$srcdir/$coin_aslobjdir
     3819
     3820# Determine the name of the ASL library
     3821case "$CXX" in
     3822  cl* | */cl* | CL* | */CL*)
     3823    ampllib=amplsolv.lib ;;
     3824  *)
     3825    ampllib=amplsolver.a ;;
     3826esac
     3827
     3828
     3829# Check whether --with-asldir or --without-asldir was given.
     3830if test "${with_asldir+set}" = set; then
     3831  withval="$with_asldir"
     3832  use_asldir=$withval
     3833else
     3834  use_asldir=
     3835fi;
     3836
     3837if test "$use_asldir" = BUILD; then
     3838  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     3839    # If we are configuring ThirdParty/ASL, don't check
     3840    if test -r $coin_aslobjdir/.MakeOk; then :; else
     3841      { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
     3842echo "$as_me: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&2;}
     3843   { (exit 1); exit 1; }; }
     3844    fi
     3845  fi
     3846elif test -z "$use_asldir"; then
     3847 # try to find sources - if not given don't compile
     3848  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     3849    if test -r $coin_aslobjdir/.MakeOk; then
     3850      use_asldir=BUILD
     3851    else
     3852      use_asldir=no
     3853    fi
     3854  else
     3855    use_asldir=no
     3856  fi
     3857elif test "$use_asldir" != "no"; then
     3858  as_ac_File=`echo "ac_cv_file_$use_asldir/$ampllib" | $as_tr_sh`
     3859echo "$as_me:$LINENO: checking for $use_asldir/$ampllib" >&5
     3860echo $ECHO_N "checking for $use_asldir/$ampllib... $ECHO_C" >&6
     3861if eval "test \"\${$as_ac_File+set}\" = set"; then
     3862  echo $ECHO_N "(cached) $ECHO_C" >&6
     3863else
     3864  test "$cross_compiling" = yes &&
     3865  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3866echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3867   { (exit 1); exit 1; }; }
     3868if test -r "$use_asldir/$ampllib"; then
     3869  eval "$as_ac_File=yes"
     3870else
     3871  eval "$as_ac_File=no"
     3872fi
     3873fi
     3874echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3875echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3876if test `eval echo '${'$as_ac_File'}'` = yes; then
     3877  :
     3878else
     3879  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but library missing" >&5
     3880echo "$as_me: error: ASL directory \"$use_asldir\" specified, but library missing" >&2;}
     3881   { (exit 1); exit 1; }; }
     3882fi
     3883
     3884  as_ac_File=`echo "ac_cv_file_$use_asldir/asl.h" | $as_tr_sh`
     3885echo "$as_me:$LINENO: checking for $use_asldir/asl.h" >&5
     3886echo $ECHO_N "checking for $use_asldir/asl.h... $ECHO_C" >&6
     3887if eval "test \"\${$as_ac_File+set}\" = set"; then
     3888  echo $ECHO_N "(cached) $ECHO_C" >&6
     3889else
     3890  test "$cross_compiling" = yes &&
     3891  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     3892echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     3893   { (exit 1); exit 1; }; }
     3894if test -r "$use_asldir/asl.h"; then
     3895  eval "$as_ac_File=yes"
     3896else
     3897  eval "$as_ac_File=no"
     3898fi
     3899fi
     3900echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     3901echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     3902if test `eval echo '${'$as_ac_File'}'` = yes; then
     3903  :
     3904else
     3905  { { echo "$as_me:$LINENO: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&5
     3906echo "$as_me: error: ASL directory \"$use_asldir\" specified, but header files are missing" >&2;}
     3907   { (exit 1); exit 1; }; }
     3908fi
     3909
     3910  use_asldir=`cd $use_asldir; pwd`
     3911  case $build in
     3912    *-cygwin*) use_asldir=`cygpath -w $use_asldir | sed -e sX\\\\\\\\X/Xg` ;;
     3913  esac
     3914fi
     3915
     3916# Variable containing ASL library (including full path)
     3917
     3918# Variable containing flags for including ASL header files
     3919
     3920
     3921if test "$use_asldir" = BUILD; then
     3922  coin_aslobjdir=`cd $coin_aslobjdir; pwd`
     3923  ASLLIB=`$CYGPATH_W $coin_aslobjdir/$ampllib | sed -e sX\\\\\\\\X/Xg`
     3924  coin_aslsrcdir=`cd $coin_aslsrcdir; pwd`
     3925  ASL_CPPFLAGS="-I"`$CYGPATH_W $coin_aslobjdir | sed -e sX\\\\\\\\X/Xg`" -I"`$CYGPATH_W $coin_aslsrcdir/solvers | sed -e sX\\\\\\\\X/Xg`
     3926elif test "$use_asldir" != no; then
     3927  ASLLIB=`$CYGPATH_W $use_asldir/$ampllib | sed -e sX\\\\\\\\X/Xg`
     3928  ASL_CPPFLAGS="-I"`$CYGPATH_W $use_asldir | sed -e sX\\\\\\\\X/Xg`
     3929fi
     3930
     3931if test "$use_asldir" != no; then
     3932  ac_ext=c
     3933ac_cpp='$CPP $CPPFLAGS'
     3934ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3935ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3936ac_compiler_gnu=$ac_cv_c_compiler_gnu
     3937
     3938  echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
     3939echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
     3940if test "${ac_cv_lib_dl_dlopen+set}" = set; then
     3941  echo $ECHO_N "(cached) $ECHO_C" >&6
     3942else
     3943  ac_check_lib_save_LIBS=$LIBS
     3944LIBS="-ldl  $LIBS"
     3945cat >conftest.$ac_ext <<_ACEOF
     3946/* confdefs.h.  */
     3947_ACEOF
     3948cat confdefs.h >>conftest.$ac_ext
     3949cat >>conftest.$ac_ext <<_ACEOF
     3950/* end confdefs.h.  */
     3951
     3952/* Override any gcc2 internal prototype to avoid an error.  */
     3953#ifdef __cplusplus
     3954extern "C"
     3955#endif
     3956/* We use char because int might match the return type of a gcc2
     3957   builtin and then its argument prototype would still apply.  */
     3958char dlopen ();
     3959int
     3960main ()
     3961{
     3962dlopen ();
     3963  ;
     3964  return 0;
     3965}
     3966_ACEOF
     3967rm -f conftest.$ac_objext conftest$ac_exeext
     3968if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3969  (eval $ac_link) 2>conftest.er1
     3970  ac_status=$?
     3971  grep -v '^ *+' conftest.er1 >conftest.err
     3972  rm -f conftest.er1
     3973  cat conftest.err >&5
     3974  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3975  (exit $ac_status); } &&
     3976         { ac_try='test -z "$ac_c_werror_flag"
     3977                         || test ! -s conftest.err'
     3978  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3979  (eval $ac_try) 2>&5
     3980  ac_status=$?
     3981  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3982  (exit $ac_status); }; } &&
     3983         { ac_try='test -s conftest$ac_exeext'
     3984  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3985  (eval $ac_try) 2>&5
     3986  ac_status=$?
     3987  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3988  (exit $ac_status); }; }; then
     3989  ac_cv_lib_dl_dlopen=yes
     3990else
     3991  echo "$as_me: failed program was:" >&5
     3992sed 's/^/| /' conftest.$ac_ext >&5
     3993
     3994ac_cv_lib_dl_dlopen=no
     3995fi
     3996rm -f conftest.err conftest.$ac_objext \
     3997      conftest$ac_exeext conftest.$ac_ext
     3998LIBS=$ac_check_lib_save_LIBS
     3999fi
     4000echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
     4001echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
     4002if test $ac_cv_lib_dl_dlopen = yes; then
     4003  ASLLIB="$ASLLIB -ldl"
     4004fi
     4005
     4006  coin_has_asl=yes
     4007
     4008cat >>confdefs.h <<\_ACEOF
     4009#define COIN_HAS_ASL 1
     4010_ACEOF
     4011
     4012  ac_ext=c
     4013ac_cpp='$CPP $CPPFLAGS'
     4014ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4015ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4016ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4017
     4018else
     4019  coin_has_asl=no
     4020fi
     4021
     4022
     4023if test $coin_has_asl = yes; then
     4024  COIN_HAS_ASL_TRUE=
     4025  COIN_HAS_ASL_FALSE='#'
     4026else
     4027  COIN_HAS_ASL_TRUE='#'
     4028  COIN_HAS_ASL_FALSE=
     4029fi
     4030
     4031
     4032MAKEOKFILE=.MakeOk
     4033if test $coin_has_asl != no && test "$use_asldir" != BUILD; then
     4034  skip_further_test=yes
     4035  rm -f $MAKEOKFILE
     4036  { echo "$as_me:$LINENO: The ASL sources don't need to be compiled" >&5
     4037echo "$as_me: The ASL sources don't need to be compiled" >&6;}
     4038  MAKEOKFILE=
     4039else
     4040  touch $MAKEOKFILE
     4041fi
     4042
     4043
     4044
     4045if test -z "$MAKEOKFILE"; then
     4046  SKIPMAKE_TRUE=
     4047  SKIPMAKE_FALSE='#'
     4048else
     4049  SKIPMAKE_TRUE='#'
     4050  SKIPMAKE_FALSE=
     4051fi
     4052
     4053
    38154054#############################################################################
    38164055#                          AMPL SOLVER LIBRARY                              #
    38174056#############################################################################
    38184057
    3819 # Determine the name of the ASL library
    3820 
    3821 case "$CXX" in
    3822   cl* | */cl* | CL* | */CL*)
    3823     AMPLSOLVER_A=amplsolv.lib
    3824     msvc_compile=yes ;;
    3825   *)
    3826     AMPLSOLVER_A=amplsolver.a
    3827     msvc_compile=no ;;
    3828 esac
    3829 
    3830 
    3831 if test $msvc_compile = yes; then
     4058if test x$skip_further_test != xyes; then
     4059
     4060  # Determine the name of the ASL library
     4061
     4062  case "$CXX" in
     4063    cl* | */cl* | CL* | */CL*)
     4064      AMPLSOLVER_A=amplsolv.lib
     4065      msvc_compile=yes ;;
     4066    *)
     4067      AMPLSOLVER_A=amplsolver.a
     4068      msvc_compile=no ;;
     4069  esac
     4070
     4071  if test -z "$ASLMAKEFLAGS" ; then
     4072    asladdcflags=
     4073    case $build in
     4074      *-linux*)
     4075        asladdcflags="-DNON_STDIO"
     4076        case $CC in
     4077          pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
     4078            asladdcflags="$asladdcflags -DNO_fpu_control";;
     4079        esac
     4080        ;;
     4081      *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
     4082        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     4083        ;;
     4084      *-mingw32)
     4085        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     4086        ;;
     4087    esac
     4088
     4089# On BlueGene disable dynamic library loading
     4090    if test x"$enable_bg" = xyes; then
     4091      asladdcflags="$asladdcflags -DNO_FUNCADD"
     4092    fi
     4093
     4094# Do the following for now to make sure we are not interupting compilation
     4095# of ASL because of warning message:
     4096    bla=
     4097    for i in $CFLAGS; do
     4098      if test "$i" != "-Werror"; then
     4099        bla="$bla $i"
     4100      fi
     4101    done
     4102    ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
     4103
     4104#   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
     4105    case $CC in
     4106      xlc* | */xlc* | mpxlc* | */mpxlc*)
     4107        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
     4108        ;;
     4109      pgcc* | */pgcc*)
     4110        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
     4111        ;;
     4112    esac
     4113
     4114    echo "$as_me:$LINENO: checking whether $am_make is the GNU make" >&5
     4115echo $ECHO_N "checking whether $am_make is the GNU make... $ECHO_C" >&6
     4116    rm -rf conftest.mak
     4117    ($am_make -v -f conftest.mak > conftest.grp) 2>&5
     4118    if $EGREP GNU conftest.grp >&5 ; then
     4119      echo "$as_me:$LINENO: result: yes" >&5
     4120echo "${ECHO_T}yes" >&6
     4121      ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
     4122    else
     4123      echo "$as_me:$LINENO: result: no" >&5
     4124echo "${ECHO_T}no" >&6
     4125    fi
     4126    rm -f conftest.mak conftest.grp
     4127  fi
     4128
     4129  if test x"$AR" = x; then
     4130    AR=ar
     4131  fi
     4132
     4133  ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
     4134  if test "$EXEEXT" = ".exe"; then
     4135    ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
     4136  fi
     4137  case $build in
     4138    *-cygwin*)
     4139      ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
     4140  esac
     4141  ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
     4142
     4143
     4144
     4145
     4146fi
     4147
     4148
     4149
     4150if test x$msvc_compile = xyes; then
    38324151  MSVC_COMPILE_TRUE=
    38334152  MSVC_COMPILE_FALSE='#'
     
    38384157
    38394158
    3840 if test -z "$ASLMAKEFLAGS" ; then
    3841   asladdcflags=
    3842   case $build in
    3843     *-linux*)
    3844       asladdcflags="-DNON_STDIO"
    3845       case $CC in
    3846         pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    3847           asladdcflags="$asladdcflags -DNO_fpu_control";;
    3848       esac
    3849       ;;
    3850     *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
    3851       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    3852       ;;
    3853     *-mingw32)
    3854       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    3855       ;;
     4159                    ac_config_files="$ac_config_files Makefile compile_MS_ASL"
     4160
     4161
     4162
     4163if test x$coin_skip_ac_output != xyes; then
     4164
     4165  FADDLIBS="$ADDLIBS"
     4166  if test x"$coin_need_flibs" = xyes; then
     4167    ADDLIBS="$ADDLIBS $FLIBS"
     4168  fi
     4169
     4170  # library extension
     4171
     4172  case "$CC" in
     4173    cl* | */cl* | CL* | */CL*)
     4174         LIBEXT=lib ;;
     4175      *) LIBEXT=a ;;
    38564176  esac
    38574177
    3858 # On BlueGene disable dynamic library loading
    3859   if test x"$enable_bg" = xyes; then
    3860     asladdcflags="$asladdcflags -DNO_FUNCADD"
    3861   fi
    3862 
    3863 # Do the following for now to make sure we are not interupting compilation
    3864 # of ASL because of warning message:
    3865   bla=
    3866   for i in $CFLAGS; do
    3867     if test "$i" != "-Werror"; then
    3868       bla="$bla $i"
    3869     fi
    3870   done
    3871   ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
    3872 
    3873 #   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
    3874   case $CC in
    3875     xlc* | */xlc* | mpxlc* | */mpxlc*)
    3876       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
    3877       ;;
    3878     pgcc* | */pgcc*)
    3879       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
    3880       ;;
    3881   esac
    3882 
    3883   echo "$as_me:$LINENO: checking whether $am_make is the GNU make" >&5
    3884 echo $ECHO_N "checking whether $am_make is the GNU make... $ECHO_C" >&6
    3885   rm -rf conftest.mak
    3886   ($am_make -v -f conftest.mak > conftest.grp) 2>&5
    3887   if $EGREP GNU conftest.grp >&5 ; then
    3888     echo "$as_me:$LINENO: result: yes" >&5
    3889 echo "${ECHO_T}yes" >&6
    3890     ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
    3891   else
    3892     echo "$as_me:$LINENO: result: no" >&5
    3893 echo "${ECHO_T}no" >&6
    3894   fi
    3895   rm -f conftest.mak conftest.grp
    3896 fi
    3897 
    3898 if test x"$AR" = x; then
    3899   AR=ar
    3900 fi
    3901 
    3902 ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
    3903 if test "$EXEEXT" = ".exe"; then
    3904   ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
    3905 fi
    3906 case $build in
    3907   *-cygwin*)
    3908     ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    3909 esac
    3910 ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    3911 
    3912 
    3913 
    3914 
    3915                     ac_config_files="$ac_config_files Makefile compile_MS_ASL"
    3916 
    3917 
    3918 
    3919 FADDLIBS="$ADDLIBS"
    3920 if test x"$coin_need_flibs" = xyes; then
    3921   ADDLIBS="$ADDLIBS $FLIBS"
    3922 fi
    3923 
    3924 # library extension
    3925 
    3926 case "$CC" in
    3927   cl* | */cl* | CL* | */CL*)
    3928        LIBEXT=lib ;;
    3929     *) LIBEXT=a ;;
    3930 esac
    3931 
    3932 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    3933 # cleaned for distclean in a vpath configuration
    3934 
    3935 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    3936 
    3937 cat >confcache <<\_ACEOF
     4178  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     4179  # cleaned for distclean in a vpath configuration
     4180
     4181  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     4182
     4183  # Take out subdirectories if their configuration concluded that they
     4184  # don't need to be compiled
     4185  if test x"$coin_ac_skip_subdirs" != x; then
     4186    new_subdirs=
     4187    for i in $subdirs; do
     4188      skipme=no
     4189      for j in $coin_ac_skip_subdirs; do
     4190        if test $i = $j; then
     4191          skipme=yes;
     4192        fi
     4193      done
     4194      if test $skipme = no; then
     4195        new_subdirs="$new_subdirs $i"
     4196      fi
     4197    done
     4198    subdirs="$new_subdirs"
     4199  fi
     4200
     4201  cat >confcache <<\_ACEOF
    39384202# This file is a shell script that caches the results of configure
    39394203# tests run on this system so they can be shared between configure
     
    40894353Usually this means the macro was only invoked conditionally." >&5
    40904354echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     4355Usually this means the macro was only invoked conditionally." >&2;}
     4356   { (exit 1); exit 1; }; }
     4357fi
     4358if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     4359  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     4360Usually this means the macro was only invoked conditionally." >&5
     4361echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     4362Usually this means the macro was only invoked conditionally." >&2;}
     4363   { (exit 1); exit 1; }; }
     4364fi
     4365if test -z "${SKIPMAKE_TRUE}" && test -z "${SKIPMAKE_FALSE}"; then
     4366  { { echo "$as_me:$LINENO: error: conditional \"SKIPMAKE\" was never defined.
     4367Usually this means the macro was only invoked conditionally." >&5
     4368echo "$as_me: error: conditional \"SKIPMAKE\" was never defined.
    40914369Usually this means the macro was only invoked conditionally." >&2;}
    40924370   { (exit 1); exit 1; }; }
     
    46934971s,@HAVE_EXTERNALS_TRUE@,$HAVE_EXTERNALS_TRUE,;t t
    46944972s,@HAVE_EXTERNALS_FALSE@,$HAVE_EXTERNALS_FALSE,;t t
     4973s,@ASLLIB@,$ASLLIB,;t t
     4974s,@ASL_CPPFLAGS@,$ASL_CPPFLAGS,;t t
     4975s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
     4976s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     4977s,@MAKEOKFILE@,$MAKEOKFILE,;t t
     4978s,@SKIPMAKE_TRUE@,$SKIPMAKE_TRUE,;t t
     4979s,@SKIPMAKE_FALSE@,$SKIPMAKE_FALSE,;t t
    46954980s,@AMPLSOLVER_A@,$AMPLSOLVER_A,;t t
     4981s,@ASLMAKEFLAGS@,$ASLMAKEFLAGS,;t t
     4982s,@ASLMAKEFILECMDS@,$ASLMAKEFILECMDS,;t t
    46964983s,@MSVC_COMPILE_TRUE@,$MSVC_COMPILE_TRUE,;t t
    46974984s,@MSVC_COMPILE_FALSE@,$MSVC_COMPILE_FALSE,;t t
    4698 s,@ASLMAKEFLAGS@,$ASLMAKEFLAGS,;t t
    4699 s,@ASLMAKEFILECMDS@,$ASLMAKEFILECMDS,;t t
    47004985s,@LIBEXT@,$LIBEXT,;t t
    47014986s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     
    51735458
    51745459
    5175 if test x"$coin_vpath_link_files" = x; then : ; else
    5176   lnkcmd=
    5177   if test "$enable_doscompile" = yes; then
    5178     lnkcmd=cp
    5179   fi
    5180   case "$CC" in
    5181     cl* | */cl* | CL* | */CL*)
    5182       lnkcmd=cp ;;
    5183   esac
    5184   if test "$lnkcmd" = cp; then
    5185     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     5460  if test x"$coin_vpath_link_files" = x; then : ; else
     5461    lnkcmd=
     5462    if test "$enable_doscompile" = yes; then
     5463      lnkcmd=cp
     5464    fi
     5465    case "$CC" in
     5466      cl* | */cl* | CL* | */CL*)
     5467        lnkcmd=cp ;;
     5468    esac
     5469    if test "$lnkcmd" = cp; then
     5470      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    51865471echo "$as_me: Copying data files for VPATH configuration" >&6;}
    5187   else
    5188     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     5472    else
     5473      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    51895474echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    51905475LN_S=$as_ln_s
     
    51975482fi
    51985483
    5199     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     5484      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    52005485echo "$as_me: Creating VPATH links for data files" >&6;}
    5201     lnkcmd="$LN_S"
    5202   fi
    5203   for file in $coin_vpath_link_files; do
    5204     dir=`(dirname "./$file") 2>/dev/null ||
     5486      lnkcmd="$LN_S"
     5487    fi
     5488    for file in $coin_vpath_link_files; do
     5489      dir=`(dirname "./$file") 2>/dev/null ||
    52055490$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    52065491         X"./$file" : 'X\(//\)[^/]' \| \
     
    52145499          /^X\(\/\).*/{ s//\1/; q; }
    52155500          s/.*/./; q'`
    5216     if test -d $dir; then : ; else
    5217       { if $as_mkdir_p; then
     5501      if test -d $dir; then : ; else
     5502        { if $as_mkdir_p; then
    52185503    mkdir -p $dir
    52195504  else
     
    52405525   { (exit 1); exit 1; }; }; }
    52415526
    5242     fi
    5243     rm -f $file
    5244     $lnkcmd $abs_source_dir/$file $file
    5245   done
    5246 fi
    5247 
    5248 if test x$coin_projectdir = xyes; then
    5249   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     5527      fi
     5528      rm -f $file
     5529      $lnkcmd $abs_source_dir/$file $file
     5530    done
     5531  fi
     5532
     5533  if test x$coin_projectdir = xyes; then
     5534    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    52505535echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    5251 else
    5252   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     5536  else
     5537    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    52535538echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    5254 fi
     5539  fi
     5540else
     5541  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     5542echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     5543fi
     5544
    52555545
    52565546
  • ThirdParty/ASL/stable/1.0/configure.ac

    r220 r271  
    5454AC_COIN_INIT_AUTOMAKE
    5555
     56AC_COIN_HAS_ASL
     57MAKEOKFILE=.MakeOk
     58if test $coin_has_asl != no && test "$use_asldir" != BUILD; then
     59  skip_further_test=yes
     60  rm -f $MAKEOKFILE
     61  AC_MSG_NOTICE([The ASL sources don't need to be compiled])
     62  MAKEOKFILE=
     63else
     64  touch $MAKEOKFILE
     65fi
     66AC_SUBST(MAKEOKFILE)
     67AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
     68
    5669#############################################################################
    5770#                          AMPL SOLVER LIBRARY                              #
    5871#############################################################################
    5972
    60 # Determine the name of the ASL library
    61 AC_SUBST(AMPLSOLVER_A)
    62 case "$CXX" in
    63   cl* | */cl* | CL* | */CL*)
    64     AMPLSOLVER_A=amplsolv.lib
    65     msvc_compile=yes ;;
    66   *)
    67     AMPLSOLVER_A=amplsolver.a
    68     msvc_compile=no ;;
    69 esac
    70 AM_CONDITIONAL(MSVC_COMPILE, test $msvc_compile = yes)
     73if test x$skip_further_test != xyes; then
    7174
    72 if test -z "$ASLMAKEFLAGS" ; then
    73   asladdcflags=
    74   case $build in
    75     *-linux*)
    76       asladdcflags="-DNON_STDIO"
    77       case $CC in
    78         pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    79           asladdcflags="$asladdcflags -DNO_fpu_control";;
    80       esac
    81       ;;
    82     *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
    83       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    84       ;;
    85     *-mingw32)
    86       asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
    87       ;;
     75  # Determine the name of the ASL library
     76  AC_SUBST(AMPLSOLVER_A)
     77  case "$CXX" in
     78    cl* | */cl* | CL* | */CL*)
     79      AMPLSOLVER_A=amplsolv.lib
     80      msvc_compile=yes ;;
     81    *)
     82      AMPLSOLVER_A=amplsolver.a
     83      msvc_compile=no ;;
    8884  esac
    8985
     86  if test -z "$ASLMAKEFLAGS" ; then
     87    asladdcflags=
     88    case $build in
     89      *-linux*)
     90        asladdcflags="-DNON_STDIO"
     91        case $CC in
     92          pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
     93            asladdcflags="$asladdcflags -DNO_fpu_control";;
     94        esac
     95        ;;
     96      *-cygwin*) # ToDo: If on Cygwin but not using -mno-cygwin, we should not define -DNo_Control87 -DNO_RUSAGE
     97        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     98        ;;
     99      *-mingw32)
     100        asladdcflags="-DNON_STDIO -DNo_Control87 -DNO_RUSAGE"
     101        ;;
     102    esac
     103
    90104# On BlueGene disable dynamic library loading
    91   if test x"$enable_bg" = xyes; then
    92     asladdcflags="$asladdcflags -DNO_FUNCADD"
    93   fi
     105    if test x"$enable_bg" = xyes; then
     106      asladdcflags="$asladdcflags -DNO_FUNCADD"
     107    fi
    94108
    95109# Do the following for now to make sure we are not interupting compilation
    96110# of ASL because of warning message:
    97   bla=
    98   for i in $CFLAGS; do
    99     if test "$i" != "-Werror"; then
    100       bla="$bla $i"
    101     fi
    102   done
    103   ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
     111    bla=
     112    for i in $CFLAGS; do
     113      if test "$i" != "-Werror"; then
     114        bla="$bla $i"
     115      fi
     116    done
     117    ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
    104118
    105119#   Somehow, -qtune=auto makes ASL segfault on AIX compiler, so take them out
    106   case $CC in
    107     xlc* | */xlc* | mpxlc* | */mpxlc*)
    108       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
    109       ;;
    110     pgcc* | */pgcc*)
    111       ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
    112       ;;
     120    case $CC in
     121      xlc* | */xlc* | mpxlc* | */mpxlc*)
     122        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed -e 's/-qtune=auto//g' -e 's/-qarch=auto//g' -e 's/-qcache=auto//g' -e 's/-qhot//g' -e sed 's/-O3/-O/g'`
     123        ;;
     124      pgcc* | */pgcc*)
     125        ASLMAKEFLAGS=`echo $ASLMAKEFLAGS | sed 's/-fast/-O1/g'`
     126        ;;
     127    esac
     128
     129    AC_MSG_CHECKING([whether $am_make is the GNU make])
     130    rm -rf conftest.mak
     131    ($am_make -v -f conftest.mak > conftest.grp) 2>&5
     132    if $EGREP GNU conftest.grp >&5 ; then
     133      AC_MSG_RESULT([yes])
     134      ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
     135    else
     136      AC_MSG_RESULT([no])
     137    fi
     138    rm -f conftest.mak conftest.grp
     139  fi
     140
     141  if test x"$AR" = x; then
     142    AR=ar
     143  fi
     144
     145  ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
     146  if test "$EXEEXT" = ".exe"; then
     147    ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
     148  fi
     149  case $build in
     150    *-cygwin*)
     151      ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    113152  esac
     153  ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    114154
    115   AC_MSG_CHECKING([whether $am_make is the GNU make])
    116   rm -rf conftest.mak
    117   ($am_make -v -f conftest.mak > conftest.grp) 2>&5
    118   if $EGREP GNU conftest.grp >&5 ; then
    119     AC_MSG_RESULT([yes])
    120     ASLMAKEFLAGS="-j 1 $ASLMAKEFLAGS"
    121   else
    122     AC_MSG_RESULT([no])
    123   fi
    124   rm -f conftest.mak conftest.grp
     155  AC_ARG_VAR(ASLMAKEFLAGS,[Compilation flags necessary for compiling the AMPL solver library])
     156  AC_SUBST(ASLMAKEFILECMDS)
     157
    125158fi
    126159
    127 if test x"$AR" = x; then
    128   AR=ar
    129 fi
    130 
    131 ASLMAKEFILECMDS="sed -e 's%ar \$\$(ARFLAGS)%$AR \$\$(ARFLAGS)%' makefile.u | sed -e 's%ar ruv%$AR ruv%' "
    132 if test "$EXEEXT" = ".exe"; then
    133   ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's/a.out/a.exe/'"
    134 fi
    135 case $build in
    136   *-cygwin*)
    137     ASLMAKEFILECMDS="$ASLMAKEFILECMDS | sed 's%s/System_details/\`uname -sr\`/%s|System_details|\`uname -sr\`|%'" ;;
    138 esac
    139 ASLMAKEFILECMDS="$ASLMAKEFILECMDS > makefile"
    140 
    141 AC_ARG_VAR(ASLMAKEFLAGS,[Compilation flags necessary for compiling the AMPL solver library])
    142 AC_SUBST(ASLMAKEFILECMDS)
     160AM_CONDITIONAL(MSVC_COMPILE, test x$msvc_compile = xyes)
    143161
    144162AC_CONFIG_FILES([Makefile compile_MS_ASL])
Note: See TracChangeset for help on using the changeset viewer.